Product Overview

Genie Timeline 2.0 is a time machine for Windows that performs real time and continuous data protection. It can backup a wide variety of data types, such as System Files, emails, documents, music, pictures and practically anything else on your machine. It seamless backs up your data in the background, working as a parallel universe with computing history. Deleted & backed up files can be retrieved easily by a click of a button.

Copyright (c) 2010 Genie-soft, Inc. All rights reserved.


Copyrights

Copyright© Genie-soft Corporation 2002-2010. All rights reserved.

Warning: This computer program is protected by copyright law and international treaties. Unauthorized production or distribution of this program, or any portion of it that's owned by Genie-soft, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

Outlook Express®, Outlook®,Internet Explorer®, Windows® and Microsoft® are Registered Trademarks of Microsoft® Corporation

All trademarks and registered trademarks used in this documentation are property of their respective owners.


End User License Agreement

PLEASE READ THIS DOCUMENT (THIS "AGREEMENT") CAREFULLY BEFORE USING THE SOFTWARE PROVIDED ALONG WITH THIS AGREEMENT (THE "SOFTWARE"). BY CLICKING "I ACCEPT THE TERMS IN THE LICENSE AGREEMENT", YOU AGREE TO THE TERMS OF THIS AGREEMENT AND TO THE GENIE-SOFT PRIVACY POLICY, WHICH IS INCORPORATED IN THIS AGREEMENT AND CAN BE FOUND AT GENIE-SOFT’S WEBSITE (HTTP://WWW.GENIE-SOFT.COM/ABOUTUS/LEGAL.HTML). IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, PROMPTLY DELETE AND DESTROY ALL COPIES OF THE SOFTWARE.

Export Control Laws

Product, including software and documentation, available on the Genie-Soft’s website is subject to export controls administered by the United States and other countries. Diversion contrary to U.S. law is prohibited. Export, re-export or import of certain product may require action on your behalf prior to purchase and it is your responsibility to comply with all applicable international, national, state, regional and local laws, and regulations, including any applicable import and use restrictions. Genie-Soft products are currently prohibited for export or re-export to Cuba, North Korea, Iran, Iraq, Libya, Syria and Sudan or to any country subject to relevant trade sanctions. In addition, Genie-soft’s products are prohibited for export or re-export to any person or entity on the U.S. Department of Commerce Denied Persons, Entities and Unverified Lists, the U.S. Department of State's Debarred List, or on the U.S. Department of Treasury's lists of Specially Designated Nationals, Specially Designated Narcotics Traffickers or Specially Designated Terrorists, as the same may be revised from time to time, or for use with chemical or biological weapons, sensitive nuclear end-users, or missiles. By downloading or using product from this site, you are agreeing to the foregoing and all applicable export control laws. You are also warranting that you are not under the control of, located in, or a resident or national of any such country or on any such list. The information on export laws provided herein is not necessarily complete. For more information on export laws, please contact the U.S. Department of Commerce, Bureau of Industry and Security (BIS). More information on BIS can be found at: http://www.bis.doc.gov.

Versions of the Software

There are three versions of GENIE TIMELINE (free, registered, and evaluation), each of which is subject to this Agreement. UPON ORDERING, DOWNLOADING, INSTALLING OR USING ANY VERSION OF THE SOFTWARE, YOU ARE REAFFIRMING THAT YOU ARE BOUND TO THE TERMS OF THIS AGREEMENT.

The registered version requires registration with genie-soft.com Corp., Which includes payment of the then current license fee. The evaluation version is the only version that is provided without charge; however, the evaluation version is not free software. All rights and licenses to the evaluation version automatically expire 30 days after first installation, after which you must register with genie-soft.com Corp. and pay the then current license fee. Payment must be in US dollars drawn on a US bank. For details on registration methods, please refer to the help file in the software, or contact genie-soft.com Corp.

License to Use

One copy of the free version of GENIE TIMELINE. The GENIE-SOFT Company through this License Agreement grants to you non-exclusive and non-transferable rights there under in respect of using a copy of the computer program for a service life thereof, i.e. for a time period throughout which GENIE-SOFT shall maintain and make available an updated version thereof. You may install (download) and use only one copy of the program designated for protection of exclusively one personal computer, notwithstanding as to how many times you download the program and how many times you accept the License Agreement. You must not use the program in a network or on more than one computer. This particular software version is distributed free of charge, therefore, the applicable license is only granted for home use thereof. In case of this free version, the program is not subject to any guarantees, and the user has no right to any technical support whatsoever.

One copy of the evaluation version of GENIE TIMELINE may be used by a single person for evaluation purposes without charge up to 30 days. Subsequent downloads of the evaluation version by or for the same user do not extend, renew, or otherwise restart the term of the license for the evaluation version.

One copy of the registered version of GENIE TIMELINE may be used by a single person who uses the software personally. The registered version of GENIE TIMELINE may not be rented, loaned, leased, licensed, or otherwise used, by anyone other than the individual who has registered the software.

Site licenses for GENIE TIMELINE may be obtained from genie-soft.com Corp which cover multiple users at one location or multiple users within a business entity.

You may make a reasonable number of copies of the registered version of the software for backup and archival purposes. You also agree that you may not reverse assemble, reverse compile, or otherwise translate the Program.

No Additional Licenses

All rights to the GENIE TIMELINE software and documentation not expressly granted under this Agreement are reserved to genie-soft.com Corp. You may not translate, decompile, disassemble or reverse engineer the GENIE TIMELINE software or documentation.

Costs of Litigation.

If any action is brought by either party to this License Agreement against the other party regarding the subject matter hereof, the prevailing party shall be entitled to recover, in addition to any other relief granted, reasonable attorney fees and expenses of litigation.

Disclaimer of Warranty

THIS SOFTWARE AND ACCOMPANYING DOCUMENTATION ARE PROVIDED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. BECAUSE OF THE VARIOUS HARDWARE AND SOFTWARE ENVIRONMENTS INTO WHICH GENIE TIMELINE MAY BE USED, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED. IN PARTICULAR, GENIE-SOFT.COM CORP SHALL HAVE NO LIABILITY FOR ANY DATA STORED OR PROCESSED WITH THIS SOFTWARE, INCLUDING THE COSTS OF RECOVERING SUCH DATA. THE USER MUST ASSUME THE ENTIRE RISK OF USING THIS PROGRAM. ANY LIABILITY OF GENIE-SOFT.COM CORP. WILL BE LIMITED EXCLUSIVELY TO PRODUCT EPLACEMENT OR REFUND OF PURCHASE PRICE.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL Genie-soft OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, BUSINESS INTERRUPTION, CORRUPTION OF FILES, LOSS OF BUSINESS INFORMATION OR ANY OTHER PECUNIARY LOSS) REGARDLESS OF CAUSE OR FORM OF ACTION, INCLUDING CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF Genie-soft HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY OF CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

LIMITATION OF LIABILITY

Genie-soft'S ENTIRE LIABILITY AND YOUR EXCLUSIVE REMEDY UNDER THIS END USER LICENSE SHALL NOT EXCEED ONE DOLLAR (US $1.00).

USE OF THIS PRODUCT FOR ANY PERIOD OF TIME CONSTITUTES YOUR ACCEPTANCE OF THIS AGREEMENT AND SUBJECTS YOU TO ITS CONTENTS.

SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES SO THIS LANGUAGE MAY NOT APPLY. IN SUCH CASE, GENIE-SOFT.COM INC'S LIABILITIES WILL BE LIMITED BY THE ABOVE LIMITATION OF REMEDIES PROVISION.

US GOVERNMENT RESTRICTED RIGHTS

Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software clause at 25 2.227-7013.


What's new

Disaster Recovery

Restore your system and data even if your operating system no longer loads

Smart Mode

Auto-adjust memory and CPU based on your computer usage.

Turbo Mode

Control your backups to run faster with full speed mode

Power Saving Mode

Saves power when running on batteries, stops when critical.

Game/Movie mode

Pauses and prevents pop-ups while playing games, watching movies or presentations.

Run now

Force a backup to run

Parallel block level

Enhanced processing for faster block level backups

Exclude from backup with a click

Simply right click any file on your computer to exclude from backup.

Limit drive space for backups

Dedicate how much space Genie Timeline uses on the selected drive.

Backup markers

Files are stamped with identifiers to show their status.

Explore Timeline

Browse a ”Timeline view” of the location you are in.

Native Backup

Access any version of backed up files without the need of Genie Timeline software.

Show Versions

Undo mistakes by reverting to an older version of the file with a right click.

Backup History

View and search what files were backed up and when.

Backup Overview

A log report of data selections and backup configuration.

Backup Breakdown

Informative charts to get a clear picture and understand details of what is being backed up.

Mini-Dashboard

Click on the agent to take a glance at the protection level and backup status with quick access to control your backup runs.

Backup on your schedule

Use a specified time interval to backup.


Feature matrix

Genie Timeline is packaged in 3 different versions to meet various markets; Free, Home, and Professional edition. This table demonstrates the differences between the versions:

Specification | Free | Home | Pro
Smart Mode | Yes | Yes | Yes
Turbo Mode | Yes | Yes | Yes
Email Notification | Yes | Yes | Yes
Plug n' Backup | Yes | Yes | Yes
Pause/Resume Backups | Yes | Yes | Yes
Parallel block level | Yes | Yes | Yes
System Tray Icon | Yes | Yes | Yes
Include or exclude from backup with a click | Yes | Yes | Yes
Open Backed up files with a double click | Yes | Yes | Yes
Edit Smart Selection | Yes | Yes | Yes
Backup Email (Outlook, Outlook Express, and Windows Mail) | Yes | Yes | Yes
Backup Desktop | Yes | Yes | Yes
Backup My Documents | Yes | Yes | Yes
Backup Pictures | Yes | Yes | Yes
Backup Music | Yes | Yes | Yes
Backup Videos | Yes | Yes | Yes
Backup Bookmarks | Yes | Yes | Yes
Backup Financial files | Yes | Yes | Yes
Backup Office files | Yes | Yes | Yes
Backup eBooks and PDF files | Yes | Yes | Yes
Backup compressed and ISO files | Yes | Yes | Yes
Backup to any drive | Yes | Yes | Yes
Backup to Removable Media | Yes | Yes | Yes
Backup to NAS and Network storage | Yes | Yes | Yes
Drive Recommendation | Yes | Yes | Yes
Right click Options | Yes | Yes | Yes
Backup Markers | Yes | Yes | Yes
Explore Timeline | Yes | Yes | Yes
Open Location in Timeline Explorer | Yes | Yes | Yes
3 Step Backup Setup | Yes(2 steps) | Yes | Yes
IntelliCDP | Yes | Yes | Yes
File versioning | Yes | Yes | Yes
Visual versioning | Yes | Yes | Yes
Open and Locked files | Yes | Yes | Yes
Protection Level | Yes | Yes | Yes
Backup Overview | Yes | Yes | Yes
Backup Breakdown | Yes | Yes | Yes
Backup Drive Monitor | Yes | Yes | Yes
Dashboard | Yes | Yes | Yes
No nag Pop-ups | Yes | Yes | Yes
Mini-Dashboard | Yes | Yes | Yes
Search | Yes | Yes | Yes
View Deleted files | Yes | Yes | Yes
Native Backup | Yes | Yes | Yes
Show Versions of files with a right click | Yes | Yes | Yes
No Backup Zone | Yes | Yes | Yes
My Computer Tab | Yes | Yes | Yes
iPhone/iPad/iPod Backup | No | Yes | Yes
Blackberry Smart-phone Backup | No | Yes | Yes
Disaster Recovery added utilities | No | Yes | Yes
Disaster recovery easy restore | No | Yes | Yes
Smart Disaster Recovery | No | Yes | Yes
Compression | No | Yes | Yes
Power Saving Mode | No | Yes | Yes
Game/Movie Mode | No | Yes | Yes
Advanced Restore | No | Yes | Yes
Restore older backups | No | Yes | Yes
1 Year Free technical support | No | Yes | Yes
Commercial Use | No | Yes | Yes
Automatic purging of older backups to save space | No | Yes | Yes
Limit Drive Space for Backups | No | No | Yes
Security | No | No | Yes
Backup on your schedule (Specified frequency) | No | No | Yes
Modify Smart Selection's file types | No | No | Yes
Backup History | No | No | Yes


Unavailable features

Genie Timeline is packaged in 3 different versions to meet various markets. Some features might not be available, depending on the product you are using. However, all features are documented. For a feature comparison of the versions, please refer to the feature matrix. If a feature is not accessible in the product user interface, it is likely not included with your version of the product.


System requirements

    Hardware

  • Intel Pentium® IV processor or equivalent and above

  • 512 MB RAM (1 GB RAM recommended)

  • 200 MB free hard drive space

    • Software

  • Windows® XP, Windows®Vista, and Windows®7 (32 and 64-bit platforms)

  • Internet web browser


Installing Genie Timeline

Installing from the downloaded file:

Run the downloaded .exe file and follow the on-screen instructions to install and setup your first backup.


Registering Genie Timeline

Upon purchasing a Genie Timeline license, the user will receive an email containing a serial number for unlocking the software and removing the trial period limitation.

To register Genie Timeline:

Method 1:

  1. From the Dashboard's menu bar, click Help then select Registration.

  2. Type or copy-paste the serial number into its designated field then click OK.

Method 2:

  1. When the Trail Period dialog pops up, select I have a license key.

  2. Type or copy-paste the serial number into its designated field then click OK.

Method 3:

  1. When the Expire Period dialog pops up, select I have a license key.

  2. Type or copy-paste the serial number into its designated field then click OK.


Update Genie Timeline

Updating Genie Timeline

Genie Timeline will check for latest enhancements and patches released by developers on a weekly basis. If a new build is available a system tray pop-up will notify the user of the new build.

To update Genie Timeline:

  1. Once an update is available, a pop-up will show notifying the user that there is a new build, click Update Now.

  2. Genie Timeline will download the update and the setup wizard will appear, click Next.

  3. Select Repair/Update and click Next.

  4. Follow the on screen instructions to complete updating.

Note

To disable checking for updates, go to General Preferences.


Upgrading from version 1

Upgrading from the previous version

Genie Timeline 2.0 comes as a separate installation and older backup will not be imported to the newer backup software due to major enhancements performed on the current version. Users will need to configure a new backup.

Older backups can be utilized for archiving. To restore from the backup, refer to Restore from an older backup section.

To Upgrade:

  1. Run the Genie Timeline setup.

  2. Select Upgrade to version 2.0 This will uninstall Genie Timeline version 1.0 and install the Genie Timeline 2.0.


Uninstall Genie Timeline

Uninstalling Genie Timeline

Uninstalling Genie Timeline can be performed from:

Method 1 performed by:

  1. From the start menu go to Genie-Soft> Genie Timeline Tools.

  2. Click Uninstall.

  3. The uninstall Wizard will appear> Click Uninstall.

  4. After the process finishes, click Close.

Method 2:

  1. Double click the Genie Timeline Setup file.

  2. Click Next.

  3. Select Uninstall Genie Timeline.

  4. Click Next.

  5. Click Uninstall.

  6. After the process finishes, click Close.

Method 3:

  1. From Control Panel> Go to Add or Remove Programs (XP) or Programs and Features (Vista and above).

  2. Select the Genie Timeline and click Uninstall.

  3. The Uninstall Wizard will appear> Click Uninstall.

  4. After the process finishes, click Close.

Note

Uninstalling Genie Timeline will erase the backup settings but not the actual backup; however, you cannot resume your old backup, to keep your old backup settings, use the Repair/Update function in Method 3.


What can Genie Timeline do?

Genie Timeline offers real time backup for all your critical files in an easy to use setup. Just follow a simple 3-step wizard to configure your backup and all your data will be protected with Genie Timeline.

Genie Timeline is a parallel universe with your computing history, deleted and modified files can be retrieved easily by a click of a button. You can browse the Timeline to any desired date to restore data.

Genie Timeline Can

  1. Backup your system: Genie Timeline will backup your Windows folder, Program files, User folders, and System State for complete system protection

  2. Backup your important data: Backs up Emails, Documents, Desktop, Office files, eBooks, Bookmarks, Pictures, Videos, Music, Blackberry synced files and iPhone/iPad/iPod synced files.

  3. Track changes occurred to files constantly and backup files at a specified time interval if the backup destination is accessible.

  4. Resume backing up the same file after powering off the system, without restarting the backup process.

  5. Backup outlook email files (PST) using dynamic block level, incremental to files that are larger than 50 MB.

  6. Shows frequent backups for the past 4 hours, hourly backups for the past 48 hours, daily backups for the past week, weekly backups onwards.

  7. Automatically deletes old files that are not showing on Genie Timeline to free space.

  8. Offers security and compression options for backup.

  9. Restore all data or selected data from the backup.

  10. Recover your system from disasters via Disaster Recovery option.

  11. Restore deleted files that are in the backup.

  12. Detect and restore deleted files by right-clicking its original location.

  13. Show versions of files backed up.

  14. Run in several performance modes for faster or slower backups.

  15. Restore data from an old archive.

  16. Creates only one job at a time and closes the old one for archiving purposes.

  17. Backs up local and remote locations.

  18. Stops backups while playing games, watching movies, or displaying presentations.

  19. Runs on low resources when your computer is running on batteries, stops when power level is low.


When are your files protected?

If the backup drive is accessible and the user has not paused the backup, Genie Timeline will run on an adaptive CDP approach, IntelliCDP, where small files that constantly change will be backed up more often than larger files, unless set by user. If the drive is reconnected after a backup was missed, it will automatically run without any intervention.

Notes

  • The IntelliCDP varies based on the version. On the Pro version, it will run every 3 minutes, while in the home version it will run every 10 minutes, and the free edition will run every half hour.

  • Full system protection backups will run every 24 hours.


Protecting open files

Genie Timeline does not require users to close their open and locked files including emails, web browser bookmarks, databases, etc...

If Genie Timeline finds a file locked by another program, it automatically activates the Open File backup component, which utilizes Microsoft's Volume Shadow Copy framework to backup the open file even while working on it.


File versions

On specific time intervals, an incremental backup of your data is made automatically as long as your backup drive is attached to your Device. Genie Timeline saves backups for the past 4 hours, hourly backups for the past 48 hours, daily backups for the past week, and weekly backups onwards, files created and then deleted before the next backup will not be included. When your backup drive becomes full, Genie Timeline will automatically delete old versions of files not showing on Timeline to free space.


If you delete a file that has been backed up

Files that have been deleted off the hard disk will not be deleted from Genie Timeline. Therefore, an accidentally deleted file can be recovered from backup ensuring protection of all data.

The recovery of deleted files can be done by

The context menu

Timeline Explorer

Advanced Restore

Search backup


Deleteing files from the actual backup

Deleting files from the actual backup

When the drive starts running out of free space. Genie Timeline will start deleting older versions of files that do not show on Timeline to clear out space. There is no need to initiate the process as it will run silently, automatically, and without prompting.


Backup Changed/Modified Files

Backup changed and modified files

Each time Genie Timeline runs; new, modified, and changed files will be added to the backup. Small files will be taken as a whole file, for faster restoration. However, large modified files will be backed up using Genie Block level incremental. This Technology is ideal for large files that undergo slight changes like databases, Outlook email files (PST) and so on. In this type of backup only changes within the file will be backed up and not the entire file, saving more space and time.

Files with major changes will be taken into the backup as a full file for faster recovery of that file.

Note

In this version, only Outlook PST file types that are larger than 50 MB will be backed up using Genie Block Level Incremental technology.


If the backup is interrupted

Backups can be interrupted in the following cases:

  • The computer is powered off suddenly or by user action.

  • The backup destination is disconnected.

  • The user paused the backup.

In all cases, Genie Timeline will resume where it left off without the need to restart the backup process.


Smart Selection vs My Computer

Genie Timeline divides data backed up into two groups; Smart Selection and My Computer. The following table shows the major differences between the two groups.

 | Smart Selection | My Computer
Definition | Contains various built-in plugins that you can use to backup some of the most important items on your computer | Allows you to backup files and folders from any location readily accessible from My Computer using an easy to use Windows Explorer-like interface.
System dependency | Plugins are system independent, i.e. users can backup favorites, for instance, from a Windows XP machine and restore them on a Windows Vista machine, without having to worry about the changed Windows environment | System dependent, it will restore to the same path it was taken from
Purpose | Easy to use, backs up data by type, even if user is unaware of file location | A complete view of all files/folders stored on the computer to be included in backup

Notes

  • If a file is selected from both Smart Selection and My Computer, it will only be backed up once.

  • Smart Selection contains the preselected data for Genie Timeline. To modify, add, or remove the data, click on Customize selections.

  • The My Computer tab is supported only when running under an Administrator user account.


Security

Genie Timeline offers an enhanced level of protection to ensure that backed up data is not accessible to unauthorized persons. With 256 AES (Advanced Encryption Standard) encryption the data backed up is highly secure, as this encryption method is adopted by NIST(National Institute of Standards and Technology) as an FIPS-approved (Federal Information Processing Standard) symmetric encryption algorithm that may be used by U.S. Government organizations (and others) to protect sensitive information.


Compression

Genie Timeline uses nonproprietary 64-bit ZIP compression to compress each file individually. This feature enables up to 8 terrabyte files to be protected using Genie Timeline.


Backup Destinations

Backup drives

Genie Timeline aims for system protection. Therefore, backing up to the following locations will not be recommended as it is not a safe practice for data protection:

  • The System Drive

  • Local drives

  • Drives without efficient free space

It is recommended to select a Hard drive that is accessible and contains sufficient space, external or a network storage device is preferred.


What happens if your drive becomes full

What happens if your drive becomes full/inaccessible

If the drive becomes full

Home and Professional versions of Genie Timeline will purge/consolidate older backups to save space. Older Backups are collected into fewer ticks on the Timeline, so the timeline will show frequent backups for the past 4 hours, hourly backups for the past 48 hours, daily backups for the past week, weekly backups onwards.

When the drive's free space is low, Genie Timeline automatically deletes old versions of backed up files to free space. However, if Genie Timeline is unable to find old versions to delete, the backup will stop when there is 500MB of free space left. Genie Timeline will update the interface to show that the drive needs to be replaced.

If the drive is inaccessible

Users may tend to disconnect the drive; therefore, the backup will stop, but will not display the warning unless an action has not been taken within 7 days. If the same drive is inserted, even if the drive letter has changed, Genie Timeline will resume backup without any user intervention.

Note

Replacing your drive immediately after it becomes full is highly recommended to be fully protected.


Inserting an external hard drive

Genie Timeline is smart enough to know what drive it is currently backing up to even if the drive letter has changed. Therefore, if the drive is reconnected, Genie Timeline will resume automatically without user interaction.


Configuring Genie Timeline

Configuring your first backup

After installing the product, the setup wizard will appear with a 3-step process to configure the backup. If a user needed to reboot before setting up the backup, the setup wizard can be accessed by:

  1. Double-click the System Tray Agent.

  2. From Start > All Programs > Genie-soft> Genie Timeline.

Note

Users can restart the backup process by accessing the Dashboard > Start a new backup under Manage Backup section.


Start a new backup

Setup wizard

The Setup Wizard consists of 3 steps depending on your version:

  • Select Backup Drive: A list of backup destinations with recommendations on where to backup. It is recommended to backup to an external drive with efficient amount of free space for more reliability.

  • Select Data: Keep the preselected data or select the data you wish to protect, the most important selections will be viewed in the first tab "Smart Selection" and further selections are accessed from the "My Computer" tab.

  • Set Backup Options: Specify to compress and/or encrypt the data and set the encryption password.

Notes

  • Security, compression, and backup drives will not change unless the backup job resets; by closing the existing backup and start a new full backup.

  • The encryption password is case sensitive and should be provided "AS IS", if you lose or forget the password your encrypted data will be irretrievable.


Select backup destination

Select Backup Drive

Genie Timeline recommends that all data is stored in a safe, removable location for storage purposes. Users are restricted to place the backup on the System drive or the boot drive. Drives with inadequate amount of space or local drives will be listed under "Non-Recommended drives".

To select a backup drive:

  1. From the Setup Wizard, click start here.

  2. Make sure the drive you wish to backup to is connected and accessible.

  3. Choose a drive from the recommended or non-recommended drive list.

  4. Click next to proceed.

Notes

  • If your backup location is not showing or wish to designate the backup to a specific folder, click on Select a different destination and browse for the desired location.

  • If a drive is not showing in the list, try refreshing by clicking the refresh button located under the drive list.

  • Non-Recommended drives can be used as a backup source, even though it is not encouraged


Select Data

  • Disaster Recovery Files

  • Outlook Profiles

  • Outlook Express or Windows Mail

  • Windows Live Mail

  • Desktop

  • My Documents

  • Pictures

  • Music Files

  • Video Files

  • Office Files

  • Financial Files

  • eBooks and PDFs

  • Bookmarks

  • Miscellaneous

Select Data

Genie Timeline preselects the most important data to backup on your System. Users have the ability to modify selections via customize selections

In the "Smart Selection" section, users have the option to select predefined data groups; "Smart Selection" that backs up most important items on your computer. This includes Emails, Favorites, Desktop files and folders, etc.

Users can select to backup from

Smart Selection: Enables you to select data groups.

My Computer: Enables you to select any file stored on the computer using the same structure as Windows Explorer. Users can exclude certain file extensions from My Computer selections using file filtering.

See Also

File types backed up via Smart Selection

How to modify selections


File types backup via Smart Selection

*.bmp;*.jpg;*.jpeg;*.jpe;*.gif;*.tif;*.tiff;*.png

*.wmd;*.wma;*.mp2;*.mpa;*.mp3;*.rmi;*.aif;*.aifc

*.aiff;*.rt;*.rm;*.ram;*.ra;*.rp;*.mpga;*.aac;*.wav

*.flac;*.m3u;*.m4b;*.pls;*.m4a

*.wmv;*.mov;*.mpg;*.mpeg;*.avi;*.3g2;*.3gp;*.asf

*.3gpp;*.asx;*.flv;*.mkv;*.mp4;*.mpg;*.ogm;*.qt

*.mpe;*.m1v;*.mpv2;*.mp2v;*.rmvb;*.m1v;*.mqv;*.rv

Word and Text Files

*.doc;*.docx;*.dot;*.dotx;*.docm;*.dotm;*.txt
*.rtf;*.wri;*.abw;*.odt;*.ott;*.stw;*.vor;*.sdw
*.fodt;*.psw;*.vot;*.sxw;*.lwp;*.wpd

Presentations Documents

*.ppt;*.pps;*.pot;*.pptx;*.pptm;*.potx;*.potm
*.ppam;*.ppsx;*.ppsm;*.ppa;*.odp;*.otp;*.sxi
*.sti;*.sxd;*.sda;*.sdd;*.vop;*.odj;*.prz;*.shw

Spreadsheets

*.xls;*.xlt;*.xla;*.xlsx;*.xlsm;*.xltx;*.xltm;*.xlsb
*.xlam;*.ods*;.ots;*.sxc;*.stc;*.dif;*.slk;*.fods
*.pxl;*.vos;*.qpw;*.wk1;*.wk3;*.wk4

Database Files

*.mdb;*.mdw;*.mda;*.adb;*.ade;*.accdb;*.accde
*.accdt;*.accdr;*.odb;*.apr;*.dbf;*.odf;*.sxm;*.pdx

Visio

*.vsd;*.vss;*.;*.vst;*.vdx;*.vsx;*.vtx;*.odg;*.otg
*.std;*.fodg

Publisher

*.pub

Project Files

*.mpp;*.mpd;*.mpt;*.mpw;*.mpx

Microsoft Money

*.mny

Quickbooks

*.qbb

Quicken

*.qbw;*.qel;*.qsd;*.qph

TurboTax

*.tax

TaxCut

*.t01;*.t02;*.t03;*.t04;*.t05;*.t06;*.t07;*.t08;*.t09

PeachTree

*.ptb

Blackberry Desktop backup

*.IPD

*.azw;*.tpz;*.azw1;*.chm;*.lit;*.pdb;*.pdf;*.mobi;*.prc;*.tr;*.tr2

*.tr3;*.fb2;*.opf;*.aeh;*.lrf;*.lrx;*.epub;*.pdg;*.pkg;*.dnl;*.djvu;*.arg

*.bfl;*.bkk;*.brn;*.ceb;*.ebk;*.ebo;*.ebx;*.etd;*.f4b;*.hsb;*.imp;*.mbp

*.meb;*.nat;*.oeb;*.rb;*.scb;*.skn;*.stk;*.swb;*.tcr;*.tk3;*.ubk;*.vbk

*.xeb;*.ybk;*.zvr

*.rar;*.zip;*.iso

File types backed up in Preselected Data and Smart Selection

Genie Timeline backs up the following file types for each Data profile:

Disaster Recovery: This will backup the Windows folder, Program Files, Program's data, and User folders, every 24 hours.

Outlook: Genie Timeline scans for Personal Folders Files (PST).

Outlook Express: Backup email files for Outlook Express in all identities; (.dbx) files, and Windows Address book (.wab).

Windows Mail: Backup emails (.eml), stationery, community, account (oeaccount) and rules for Windows Mail and Windows Contacts (.contact).

My Documents, Documents, and Desktop backup all files located in these locations.

Pictures: Scans for these file types in user account and local drives.

Music Files: Scans for these file types in user account and local drives.

Video Files: Scans for these file types in user account and local drives.

Office Files: Scans for these file types in user account and local drives.

Financial Files: Scans for these file types in user account and local drives.

iPhone/iPad/iPod: Backup files synced to your computer through iTunes.

Blackberry: Scans your computer for these file types in user accounts and local drives.

Bookmarks: Backs up bookmark location from a variety of browsers

Internet Explorer: Located in Favorites folder

Mozilla Firefox: Located in the application data folder for Firefox

Opera: Located in the application data folder for Opera or installation path

Google Chrome: Located in the local application data folder for Google

Apple Safari: Located in the application data folder for Apple Computer

eBooks and PDF files: Scans for these file types in user account and local drives.

Miscellaneous: Scans for these file types in user account and local drives.

Note

Users can edit, add, or remove the file types from the edit button located on each profile.


Mobile Device Backup

From the Smart selections you can ensure that your mobile data is safe by choosing to backup your:

iPhone/iPad/iPod:

Genie Timeline intelligently creates a backup of your iPhone or iPad or iPod data that you have synced to your computer. iTunes can create backups of settings and certain other information on iPhone and iPad as well as the iPod, Genie Timeline creates constant up to date backups of these files by scanning the following directory in the application data folder:

Apple Computer\MobileSync\Backup

You can use this backup to restore this information to your iPhone or iPod after a software restore or update, or to transfer information to a different device.

Blackberry Smart-phone:

Timeline also creates a backup of your Blackberry device by scanning for the .IPD extension, which is an extension created by the Blackberry Desktop application, depending on which data was selected for backup, .IPD files may contain anything from the user's address book and emails to memos, SMS messages and even configuration data.

Note

  • Timeline cannot detect any changes or additions to files on your iPhone/iPad/iPod unless they are synced through iTunes first.

  • What you are able to select to be backed up from your Blackberry device depends on the type of device and version of the Blackberry Desktop.


How to Modify Preselected Data

Modify Smart Selections

  1. From Step 2 of the Setup wizard Select Data page will appear.

  2. Click Customize selections.

  3. Mark the selections from Smart Selection.

  4. Click next to proceed with the wizard.

Change File types in Smart Selection

  1. From Step 2 of the Setup wizard Select Data page will appear.

  2. Click Customize Selections.

  3. Click the edit link in the profile, a dialog will appear with the current file types

  4. Edit the file types, with a semi-colon separator ";" and a dot "." before each extension (for example: ;.html).

  5. Click Done to save changes, Cancel to cancel, or Reset to reset to original file types.

Note

You can cancel selections and go back to pre-selected data by clicking on Revert to pre-selected data.


Select files/folders from My Computer tab

Adding items from My Computer tab

Genie Timeline gives a Windows-Explorer-like view to manually select any file/folder location for backup.

To select files/folders from My Computer tab

  1. From Select Data click Customize selection.

  2. Click on My Computer tab.

  3. Browse to the folders/ files you want to backup and select them. Selecting the entire folder and its contents will have a blue check, partial folder selections will have a grey check.

Notes

  • The My Computer tab is supported only when running under an Administrator user account.

  • To Exclude specific file types, use Filter my selections.

  • To Show hidden files in My Computer tab, enable Show hidden files in My Computer tab during data selection from Windows Explorer Enhancements preferences.

  • Selecting a folder and then excluding items under it means that newly added items will be automatically added to backup.

  • Selecting items under a folder first means that newly added items under this folder will not be added to backup.

  • You can cancel selections and go back to pre-selected data by clicking on Revert to pre-selected data.


File Filtering

Creating File Filters

Users can exclude specific file types of selected items from My Computer tab. To create file filters, please do the following:

  1. Select My Computer tab.

  2. Click Filter my Selections.

  3. Select Enable Filters.

  4. Under Exclude files that end with the following extensions, type the file extensions separated by semi-colons for multiple file selections (example .html;.exe;.dwg).

  5. Click Done to save changes.

Note

Filters must be entered without any wildcard (i.e. .txt).


Security

Set Backup Options

In this part of the backup setup, users can choose to compress their data using 64-bit Zip compression and encrypt via highly secure 256 bit AES military encryption.

To Enable Compression

  1. In the Setup wizard go to Step 3.

  2. Mark the Checkbox Enable Compression.

  3. Click next to proceed.

To Enable Security

  1. In the Setup wizard go to Step 3.

  2. Mark the checkbox Enable Encryption.

  3. Type the Encryption password and retype the password for confirmation, it is recommended to select a strong Encryption Password for better protection.

  4. Click next to proceed.

Notes

  • Encryption and compression cannot be disabled for a single backup as it causes security vulnerabilities, encryption can only be enabled or disabled if the user creates a new backup.

  • The encryption password at time of viewing or restoring encrypted data must be supplied "AS IS". Genie Timeline does not save this password. Without supplying this password, users' data is irretrievable; therefore, please store it in a safe place.


Modify data selections

Users can change, add, or remove data selected for backup without the need to start a new backup.

To Modify Data Selections

  1. Open the Dashboard.

  2. Under Manage Backup, select Modify data selections.

  3. Select Customize selections.

  4. Check the data you wish to protect.

  5. Click save to save changes.

Notes

  • Un-selecting data will not delete it from the backup.

  • To edit a data profile's file types, click edit in the right hand corner of the profile. Only profiles that can be edited will have this capability.

  • Filtering file extensions from My Computer can be achieved by using file filtering.

  • Click Revert to pre-selected data to cancel selections and take all smart selections.

  • To backup hidden files and folders under the My Computer tab, make sure it is enabled by selecting Show hidden files in the My Computer tab during data selection located under Windows Explorer Enhancements preference.


Select data from my Computer tab

Select files/folder from My Computer tab

Genie Timeline gives a Windows-Explorer-like view to manually select any file/folder location for backup, including external and network locations.

To select files/folders from My Computer tab

  1. From Select Data click Customize selection.

  2. Click on My Computer tab.

  3. Browse to the folders/ files you want to backup and select them. Selecting the entire folder and its contents will have a blue check; partial folder selections will have a grey check.

Notes

  • The My Computer tab is supported only when running under an Administrator user account.

  • To Show Hidden files in the My Computer tab, enable Show hidden files in the My Computer tab during data selection from Windows Explorer Enhancements preferences.

  • Selecting an entire folder means that newly added items will be included into backup.

  • Selecting a folder and then excluding items under it means that newly added items will be automatically added to backup.

  • Selecting items under a folder first means that newly added items under this folder will not be added to backup.

  • You can cancel selections and go back to pre-selected data by clicking on Revert to pre-selected data.


Change backup destination

Change backup drive

Genie Timeline recommends that all data is stored in a safe removable location for storage purposes. Users are restricted from placing the backup on the System drive, boot drive, or a drive with inadequate amount of space. In addition, the drive has to have sufficient space.

  1. Open the Dashboard.

  2. Under Manage Backup> click Change backup drive.

  3. Select the backup Location.

  4. Alternatively, select "Select a different destination" if you wish to browse for a specific folder.

  5. Click save to save the new location.

Note

When changing the backup drive, the backup will revert to full.


Email me the backup status

Configure email notifications

This option will send reports of the backup status directly to the user's Inbox.

To Email the backup status

  1. Open the Dashboard.

  2. Under Tools, select Configure email notifications.

  3. Check Email me backup status.

  4. Under Notification Schedule, select one or both options.

    • Send Every
      This will send a backup status on a specific day of the week.

    • Send when an error occurs
      Send an email when there is an error; the backup destination is full, it has been several days since the last backup, or failed files for backup.

  5. Under Email Server Settings users can send emails via one of the following methods:

    1. Use Genie's email service
      Let Genie-soft send email notifications using the Genie email service. Register for free to create a Genie Account (My Account) and enable this service. A confirmation email will be sent with the registration information. Then enter the following:

      • Email: The email address used to create a free My Account.

      • Password: The password sent in the confirmation email.

    2. Use My own email server
      Enter the following information

      • SMTP server: The name or IP address of SMTP server to be used for sending notification emails.

      • Port: SMTP sending port. (25 by default).

      • My email: The email address to receive notification emails.

      • Use SSL: SSL (Secure Sockets Layer) is a security protocol that provides communication privacy. Select this option if your SMTP server supports this protocol.

      • Select My email requires authentication, and enter:

        • Username: Email account username.

        • Password: Email account password.

  7. Click Send test email to send a test email using these settings.

  8. Click save to save changes.


Create Disaster Recovery startup disk

In order to restore Windows and data if Windows no longer loads, users are required to create a Disaster Recovery startup disk to startup the system in Disaster Recovery mode.

Three options are available to create a startup disk:

  • Virtual Partition: This feature will give you the option of entering Disaster Recovery before loading Windows and will appear when you start your computer.

  • USB Disk: Enter Genie Disaster Recovery using an external drive or flash disk.

  • ISO Image: Create an ISO image, which you can burn onto a CD or DVD and boot from to enter Disaster Recovery.

To create a Virtual Partition:

  1. From the Dashboard> Under Tools> Select Disaster Recovery startup disk, the Disaster Recovery Media dialog will appear.

  2. Select Virtual Partition.

  3. Click ok to begin the process.

To create a USB startup disk:

  1. From the Dashboard> Under Tools> Select Disaster Recovery startup disk, the Disaster Recovery Media dialog will appear.

  2. Select USB Drive.

  3. From the drop-down list, select the USB disk.

  4. Click ok to begin the process.

To create an ISO image:

  1. From the Dashboard> Under Tools> Select Disaster Recovery startup disk, the Disaster Recovery Media dialog will appear.

  2. Select ISO image.

  3. Browse for a location to save the ISO image.

  4. Click ok to begin the process.

Notes

  • The creation of a startup disk requires 1-3 minutes to complete.

  • It is recommend to use an erased or blank disk as Genie Timeline will erase all contents before creating the startup disk.

  • Users can uninstall the Virtual Partition by accessing Disaster Recovery startup disk from Dashboard, or from Tools> Create Disaster Recovery startup disk.


Start a new backup

Genie Timeline, for simplicity purposes, will only enable running one backup job at a time. Therefore, creating a new backup job will close the currently running backup and open the Setup Wizard. The old backup can be stored for archiving purposes.

To start a new backup

  1. Right click the system tray> Select Open Dashboard.

  2. Under Manage Backup click Start a new backup.

  3. Click Yes to confirm creating a new backup and the Setup Wizard will appear to configure a new backup.


Set Advanced Options

Advanced Settings

Advanced Settings are located under Tools in the Dashboard and enables users to adjust the following:

Limit Backup Size: Set Genie Timeline to use part of the backup drive, the space should be entered in GB.

Enable Game/Movie mode: When this option is selected, Genie Timeline will pause the backup and suppress pop-ups when playing games, watching movies, or displaying presentations.

Enable Power Saving mode: Only available on laptops, when the PC runs on batteries, Genie Timeline will reduce its resources to save battery. If the battery level reaches critical, the backup will stop.

Backup Frequency: Specify how often Genie Timeline backs-up changes using one of the two options:

  • Use Genie IntelliCDP: set Genie Timeline to run backups at different time intervals based on file type and size. The minimum interval for pro versions is 3 minutes.

  • Use a specific backup interval: All files will be taken at the same interval set in the combo box.

Notes

  • Advanced settings must be re-configured if a user recreates the backup or changes the backup drive.

  • The minimum backup interval in the home and free edition is less frequent than the pro version.


Restoring from a Different Backup

Restoring from an older backup

Every time a user chooses a new destination to backup to, the old backup database is closed and the active one is the default view in Advanced Restore and Timeline Explorer. Restoring from an older backup can be done from the Advanced Restore.

To restore from an older backup

  1. Open Advanced Restore from the Dashboard.

  2. Browse for the drive/destination that has the older backup, or browse for the "_Genie Timeline" folder.

  3. If there is more than one backup on the drive/destination, Genie Timeline will load the backups that are on the location to select from the list.

  4. Move the Timeline slider to select the time frame to restore data from.

  5. Expand the folder structure to browse for the files and folders needed to be restored.

  6. Select the files, blue check marks indicate that all files and folders are selected, grey indicates partial selection.

  7. Select the data you wish to restore.

  8. Click next to proceed to restore options.

Notes

  • When encryption is enabled, you will be prompted to enter the encryption password before proceeding to the Restore Options.


Search backup

Click on the linked name of the file.

Click on the restore link next to the file you wish to restore.

If the result has "versions" underneath it, you can expand and click on the restore link beside it.

If the result has "versions" underneath it, you can expand and click on the view link beside it.

This will open Timeline Explorer on the same location of the file.

Searching the Backup

Users have the option to search files in the backup using the entire file name or part of it:

To Search the Backup

Method 1:

  1. Open the Mini-Dashboard.

  2. Type in the search term in the search backup text-box located in the bottom of the Mini-Dashboard.

  3. Press Enter or click the search icon.

Method 2:

  1. Open the Dashboard.

  2. Type in the search term in the search backup text-box located at the right corner of the Dashboard.

  3. Press Enter or click the search icon.

Method 3:

  1. Open Advanced Restore.

  2. Type in the search term in the search backup text-box located in the bottom-left side of the page.

  3. Press Enter or click the search icon.

Search functions

With the search results, users can:

  • Open the file

  • Restore

  • Restore an older version

  • Open an older version

  • Timeline

Notes

  • When encryption is enabled, users will be prompted to enter their encryption password when restoring.

  • Timeline will only display files in the active backup, backups that are located on different locations can be viewed/restored via Advanced Restore.


View Deleted Files that have been backed up

Retrieve deleted files that have been backed up

Genie Timeline enables users to display a list of deleted files that are backed up with a simple click

To Retrieve deleted files

  1. Open the location of the deleted file.

  2. Right click in an empty location.

  3. Select View all Deleted Files.

  4. A list of deleted items will appear, point to the deleted file, and select the version you wish to restore.

  5. Click Restore this version and the file will restore to the location it was deleted from.

Notes

  • You can restore deleted items from the Timeline Explorer and Advanced Restore.

  • When encryption is enabled, you will be prompted to enter the encryption password when restoring.


Disaster Recovery

In order to restore your system files and settings to a previous state, you will need to:

  1. Make sure Disaster Recovery is selected on the Smart Selections page.

  2. Create or prepare your Disaster Recovery startup disk.

  3. Restart your computer and boot from the Disaster Recovery startup disk to enter the Disaster Recovery wizard.

The Disaster Recovery selection will backup your entire Boot Drive which includes the following folders every 24 hours:

  • Windows Folder

  • Program Files

  • User Folders

  • System State

To Provide up to date complete system protection in case of failure.

Note

Disaster Recovery is not supported for standard users. Please login to an administrator account to create a Disaster Recovery backup.


Open current Window location in Timeline

Open current location in Timeline Explorer

One of Genie Timeline's Windows enhancements is to enable users to open any folder in Windows and view it in Timeline.

To open a folder location in Timeline

  1. From My Computer/Computer browse for the location you wish to view in Timeline.

  2. From Windows Explorer's address bar, click Explore Timeline. Timeline Explorer will open the folder location.


Add to backup

Add items to backup from context menu

To add data to backup directly from Windows

  1. Go to the file or folder you wish to add to backup.

  2. Right click the item.

  3. Go to Genie Timeline and select Add to backup.

Note

You can disable/enable this feature from Windows Explorer Enhancements


Show versions of backed up files

Genie Timeline enables users to view versions of a backed up file.

To show versions of backed up files

Method 1:

  1. From My Computer, right-click the file.

  2. Point to Genie Timeline.

  3. Select Show Versions.

  4. To restore a version, select it from the list and click Restore.

Method 2:

  1. From Timeline Explorer, right click the file.

  2. Select Show Versions.

  3. To restore a version, select it from the list and click Restore.

Method 3:

  1. Search for the file.

  2. Under Versions, expand the "+" sign.

  3. To open the version, click View.

  4. To restore, click Restore and browse for a location to restore the file to.

  5. Click on more versions to open Timeline Explorer in the location of the file.


Exclude files from backup

There are various means for excluding files or locations from backup

Method 1:

Right click a file/folder> Point to Genie Timeline> Exclude from backup.

Method 2:

Drag drop files to No-Backup Zone located on the Desktop.

Method 3:

Modify data selections, and add file filtering options, or Customize smart selections.

Method 4:

Auto-Exclude to exclude full file and folder paths.


Backup Status

Genie Timeline Dashboard

The Dashboard enables users to monitor the health of the backup as well as offering backup controls and settings.

To Access Dashboard

Method 1:

  1. Click the System Tray agent, the Mini-Dashboard will pop-up.

  2. Click Open Dashboard.

Method 2:

  1. Right-click the System Tray agent.

  2. Click Open Dashboard.

Method 3:

Double-click the System Tray agent.


Backup Status Page

Dashboard information

Users can clearly view the following information to check on the health of the backup

Protection Level

Genie Timeline informs users of the status of the backup with the new protection level feature. This feature enables users to keep track of the process of their backup by showing the percentage of protected files. 100% means that all files are protected, there is nothing to backup, and 0% denotes that there are no files protected. When the protection level drops under 60%, it will show as a warning that the protection level is low. The Protection level decreases if:

  • New files were added to backup and they are still not backed up.

  • Significant changes occurred on backup during the half hour.

  • The backup is not working due to the service being paused, drive is inaccessible, or due to insufficient free space.

Status

This section shows:

  • What Genie Timeline is backing up or doing at that moment.

  • When the last backup occurred.

  • When the next backup will run.

  • The first date you started protection.

  • Compression and security information.

  • Free space of the drive and if it is necessary to take action in changing the drive.

  • Number of files taken into backup and pending files for the next run.

Backup Breakdown Bar

A bar that shows how the major file types distribute in the backup. Clicking on this line will show the Backup Breakdown.

Backup Breakdown

A pie chart distribution of file types in the backup. For each file type, the total size, number of files, and percentage of backup is displayed.


Dashboard controls

Backup controls and options

From the Dashboard, users can manipulate and adjust their backups with the following controls.

"Run backup" controls

Run now: Force a backup to run at any time.

Run in Turbo Mode: Selecting this mode will enable the backup to run faster by using more computer resources.

Run in Smart Mode: Selecting this mode will optimize Genie Timeline's resources to run the backup faster or slower based on how the computer resources are utilized, and will adjust its speed based on free resources; faster backups when computer is idle, slower backups when you are working.

Pause Backup: Do not run backup for the time being. Genie Timeline will resume backup automatically after a Windows reboot.

Resume Backup: Let backup run.

Restore, manage backup, and tools

In this section, users can take action in:

Restoring backups

This can be performed from:

  • Restore from Timeline: Open the Timeline Explorer that allows users to go back in time to view and restore backed up files.

  • Advanced Restore: Step by Step Wizard to restore files and older backups.

  • Disaster Recovery: A dialog that explains how to recover your system in case of disasters.

Manage Backups

Under this section, users can:

  • Modify data selections: Add, Modify and remove files from backup. This will not restart the backup and will not delete removed files from backup.

  • Change backup drive: Change backup drive location. This action will restart the backup with the currently selected data and backup options.

  • Start a new backup: Restart backup while resetting the settings.

Tools

Users have the ability to:

  • Configure email notifications: Receive information of your backup status or when an error occurs to your inbox.

  • Create Disaster Recovery Startup Disk: Install and uninstall the Virtual Partition, create a USB startup disk, or an ISO image to boot into system recovery.

  • Change Advanced Settings: Set how much space Genie Timeline can use on your drive, enable game/movie mode, battery saving mode, and set backup frequency.

Search Backup

From the top-right corner of the Dashboard, users can search all or part of a file name included in the backup. A web browser page will open with search results.


Preferences

Preferences enable users to:

  1. Enable Advanced logging for debugging purposes.

  2. Enable/Disable Auto-Update.

  3. Auto Exclude Specific File/Folder paths.

  4. Modify Windows Explorer Enhancements.

To Access Preferences:

  1. Open the Dashboard.

  2. From the Dashboard menu bar, go to File> Preferences.


General

The General page of the Preferences window provides means to set:

Auto update

This will enable Genie Timeline to check Genie-Soft's servers for latest enhancements or patches of the software.

To disable updates:

  • Under Auto update select Disable auto update.

To enable updates:

  • Under Auto update, select Check for updates on a weekly basis.

Enable Advanced Logging

Advanced logging will give a trace of the software's activity used for troubleshooting purposes by the Genie-Soft technical support team.

  1. Select Enable advanced logging for debugging.

  2. Click Open advanced logs folder.

  3. Click OK to save changes.

  4. Replicate the scenario and send the logs.


Auto-Exclude

The Auto-Exclude page of the Preferences window contains settings for automatically ignoring specific files and folders during backup.

Some system files and folders on the computer are not designed to be taken by Genie Timeline manual file selection. Disaster Recovery is designed to handle these files.

To Enable Auto-Exclude

  1. From Preferences> Go to Auto-Exclude.

  2. Select Enable Auto-Exclude (Recommended).

  3. Click OK to save changes.

To exclude hidden files from backup

This option will only apply on backing up hidden files selected from My Computer.

  1. Select Exclude hidden files.

  2. Click OK to save changes.

To add files/folders to Auto-Exclude

  1. Click Add.

  2. Type the file/folder path of the item and description (optional).

  3. Click Done.

  4. Click OK to save changes.

To remove files/folders from Auto-Exclude (not recommended for pre-generated auto-exclude items):

  1. Select the File/Folder path.

  2. Click Remove.

  3. Click OK to save changes.

Notes

  • You must enter the full path of the folder/file needed to be excluded.

  • Use filters to exclude file types from backup.


Windows Explorer Enhancements

From the Windows Explorer Enhancements page of the Preferences window users can:

  • Enable/disable the Timeline Explorer.

By selecting/un-selecting Show Timeline Explorer in My Computer.

  • Show/hide Genie Timeline options in the right-click menu of Windows Explorer.

By selecting/un-selecting Show Genie Timeline options in context menu.

  • Show/hide backup markers on backed up file's icons.

By selecting/un-selecting Show backup markers on icons.

  • Show/hide hidden files and folders from the My Computer tab in Modify data selections.

By selecting/un-selecting Show hidden files in the My Computer tab during data selection.


System Tray agent

The System Tray Agent

The System Tray Agent, located next to the clock on your computer, enables quick access to the Dashboard or Mini-Dashboard. The agent's icon gives a quick display of the backup status. Mouse over it for the actual status.

System Tray Agent's states

Genie Timeline is monitoring changes.

The backup is paused.

Genie Timeline requires attention.

Error in backup.

The blue circle fading-in and out means the backup is running.


The Mini-Dashboard

When the user clicks on the Genie Timeline's System Tray Agent, the Mini-Dashboard pops-up. This pop-up gives a quick overview on the backup status and the most important controls can be accessed.

The Mini-Dashboard's sections

The Mini-Dashboard is divided into these sections:

  • The Protection level: Keep track of the process of the backup from the percentage of protected files.

  • Backup Status: Shows what Genie Timeline is backing up or doing at the moment.

  • Open Dashboard: Open the main Dashboard for further detail and more controls.

  • Timeline Explorer: Open backed up data to restore from in Timeline Explorer.

  • Pause/Resume: Pause or Resume backups.

  • Run in Turbo Mode/Run in Smart Mode: Toggle when to run backups faster based on computer performance and vice-versa.

  • Search Backup: Search for all or part of a file name included in the backup. A web browser page will open with search results.


Running Backups

There is no need to schedule backups using Genie Timeline as the backup process runs automatically in the background. Although it is not recommended, users can stop backups by pausing the backup process, pausing will cause the protection level to drop. In addition, pausing a backup will not enhance your computer performance, because the backup is light-weighted lightweight so it will not use many resources.


Pause/Resume Backup

Although Genie Timeline runs automatically in the background, users can control the backup process by pausing and resuming backup. If a user pauses a backup while Genie Timeline is currently backing up a file, Genie Timeline will continue backing up where it left off.

To Pause the Backup

Method 1:

  1. Right click the System Tray Agent located by your system clock.

  2. Click Pause.

Method 2:

  1. Click the System Tray Agent located by your system clock, the Mini-Dashboard will pop-up.

  2. Click Pause.

Method 3:

  1. Open the Dashboard.

  2. Click Pause.

To Resume the Backup

Method 1:

    1. Right click the System Tray Agent.

    2. Click Resume.

Method 2:

    1. Click the System Tray Agent, the Mini-Dashboard will pop-up.

    2. Click Resume.

Method 3:

    1. Open the Dashboard.

    2. Click Resume.

Notes

  • Once the system reboots while the backup is paused, Genie Timeline will automatically resume backing up to ensure complete system protection.

  • Pausing the backup is not recommended as it will reduce the protection level and will not enhance system performance. Genie Timeline backup runs on minimum requirements and automatically adjusts its resource use based on the usage of other programs.


Run now

Force a backup to run

Users can force a backup to run at anytime to ensure all changes since the last backup are included.

To force a backup to run

Method 1:

  1. Open the Dashboard.

  2. Click Run now located under status.

Method 2:

  1. Open the Mini-Dashboard.

  2. Click Run in Turbo Mode, this will force the backup to run in full speed.

Note

Disaster Recovery will run every 24 hours regardless if Run now is enabled or not.


Run backup modes

Backup modes

Genie Timeline has different modes to adapt with different computing environments, these modes are:

Smart Mode: Enable automatic adjustment of backup speed based on user activity to run seamless in the background; faster backup when computer is idle. This mode can be activated from the Dashboard.

Turbo Mode: Run backup at Turbo speed for a faster completion. In this mode, Genie Timeline will consume more resources, so it is recommended to enable this mode when the machine is idle. This mode can be activated from the Dashboard.

Game/Movie Mode: Use this mode to pause backups and suppress pop-ups while playing games, movies, or viewing presentations. This mode can be enabled from Advanced Settings.

Power Saving Mode: Use this mode to lower CPU usage while the PC is running on batteries. It will stop backup when the battery level becomes critical. This mode can be enabled from Advanced Settings.


winenh info

Windows Enhancements

Genie Timeline's Windows Enhancements make accessing backed up data and managing backups easier. These enhancements are:

Timeline Explorer: A virtual drive in My Computer to view all backed up data in a 2-dimension Windows Explorer.

Backup markers: Colored dots on the backed up files to view which files are backed up, modified, or not added to the backup.

Context menu options: Right-click files and folders to add to backup, exclude from backup, and show backed up versions.

Explore Timeline: Open any folder location in Timeline Explorer.

No-Backup Zone: Drag-drop any file to this folder location on the Desktop to exclude from backup.

Note

To disable Windows Enhancement features, go to Windows Explorer Enhancements preferences.


Backup markers

The backup markers are dots on each files icon protected by Genie Timeline.

Backup markers indicators

The latest version of the file is included in backup.

The file has been modified since the last backup

The file has not been backed up


Right-click folder/file options

Context menu options

When a user right clicks a file or folder, the following functions can be performed

Add to backup: Right click any file or folder to include in backup.

Exclude from backup: This will exclude this folder or file from backup but will not delete older backed up versions.

Show Versions: Right click a file to view previous backed up versions.

View all deleted files: On an empty location in a folder, or on a folder, right click and select this option to view deleted files that were deleted from the backed up location.

To access context menu options

  1. In Windows> Right click a file or folder.

  2. Point to Genie Timeline.

Note

Context menu options can be enabled/disabled from Windows Explorer Enhancements preferences.


Timeline

Timeline Explorer

The Timeline Explorer is fully integrated with Windows Explorer. Users can drag the Timeline slider to a specified tick and the tick will show how the selected files were at that point of time.

With Timeline Explorer, users can:

  1. View files stored in the backup at a specific time frame.

  2. Drag-drop files to any location.

  3. Copy files to any location.

  4. Restore files to original or alternate location, with a right-click.

  5. View file versions by right clicking the file > Show Versions.

  6. Open Files with a double click.

To access Timeline Explorer

Method 1:

  1. Open My Computer.

  2. Open Timeline Explorer.

Method 2:

  1. Go to the Dashboard.

  2. Under Restore, select Restore from Timeline.

Method 3:

  1. From the File menu in the Dashboard.

  2. Select Timeline Explorer.

Method 4:

  1. From the Mini-Dashboard.

  2. Select Timeline Explorer.

Notes

  • Timeline will only display files in the active backup, older backups can be viewed/restored via the Advanced Restore.

  • You can disable/enable Timeline Explorer from Windows Explorer Enhancements.

  • If the backup is encrypted the password must be entered to continue restoring or opening files.


Explore Timeline

In any backed up location, users have the ability to view it via Timeline Explorer.

To use Explore Timeline

  1. Open any backed up location in My Computer/Computer.

  2. Click Explore Timeline located next to the Windows standard buttons under the Menu bar.


No-Backup Zone

The No-Backup Zone is located on the Desktop. This zone is a place to save files and folders that users do not want to add in the backup. To remove this location, simply remove all contents from it and delete it off the desktop.


View\Restore Files

View/Restore Files

Genie Timeline offers easy to use, easy to access methods to restore and view backed up data. Users can restore/view data in more than one way:

  • Timeline Explorer: The Timeline enables you to view all files and folders backed up, it is fully integrated with Windows Explorer.

  • Deleted Files View: Right click a location or folder to view and recover deleted files that were backed up.

  • Advanced Restore: This wizard enables restoring files at a specific date and also set a different location to restore in case of multiple backup jobs stored in different locations.

Note

If the backup is encrypted the password must be entered to continue restoring or viewing files.


Timeline

View files in Timeline Explorer

Genie Timeline is fully integrated with Windows Explorer to browse backed up data in a user-acquainted environment.

To view backed up data:

  1. Open My Computer/Computer.

  2. Open Timeline Explorer.

  3. Use the Timeline slider to go back to a specific time frame.

  4. Explore the contents of the backup at that point of time.

Notes

  • Users can:

    • Double click a file to open it.

    • View file versions by right clicking the file> Show versions.

    • View file details in Windows Explorer by going to the View menu> Details or right click a file> Properties.

  • When encryption is enabled, users will be prompted to enter the encryption password when opening or restoring a file.

  • Timeline will only display files for the current backup, backups that are located on different locations can be viewed/restored via Advanced restore.


Restoring Files from Timeline

Hold the mouse down on the specified data, move it to the new location and release.

Select data you wish to restore (ctrl+mouse click/ shift+mouse click/Shift+ arrows) then either

  • Right click the selected data> Copy

  • Press (ctrl+C)

This can be done by:

  • Right click an empty location> Paste

  • Press (ctrl+v) in the specified location

Right click the file> Select Restore to original location

Right click the file> select Restore to alternate location

  1. Right Click the file> Select Show versions

  2. Select the version and click restore

Restoring from Timeline Explorer

After viewing the data you wish to restore, you have a variety of options to restore the data:

  1. Drag-drop files/folders in any location.

  2. Use copy and paste function.

  3. Restore to Original or Alternate location.

  4. Restore an older version.

Notes

  • It is highly recommended to restore system and program files using Disaster Recovery.

  • When encryption is enabled, users are prompted to enter the encryption password prior to restoring.

  • Timeline will only display files in the active backup, backups that are located on different locations can be viewed/restored via the Advanced Restore, for more information go to Restore from a different backup.

  • Restore can only restore one file at a time, users can drag-drop or copy paste multiple files/folders if needed.


Restore my data Wizard

Advanced Restore

This Wizard enables you to restore all data at a specific time period with more enhanced options like restore to a different location, restore all profile settings, and restore from an older backup.

To access the Advanced Restore:

  1. Open the Dashboard.

  2. Under the Restore section, click Advanced Restore.

Notes

  • When encryption is enabled, users will be prompted to enter their encryption password before proceeding to the Restore Options.

  • You can search for a specific file in the search text box and Search the Timeline will open in your default web browser with the results.

  • Restoring single files without folder structure can be done via View Timeline.


Select data to restore

Genie Timeline Advanced Restore, gives the user the ability to restore all or selected files. Therefore, in this page, the user will select the data to restore.

To select data to restore

  1. Move the Timeline slider to select the time frame to restore data from.

  2. Expand the folder structure to browse for the files and folders needed to be restored.

  3. Select the files, blue check marks indicate that all files and folders are selected, grey indicates partial selection.

  4. Click next to proceed to restore options.

Notes

  • Restoring system and program files (disaster recovery data) is not recommended in the advanced restore. Use the Disaster Recovery option.

  • To restore from a different backup, click on Restore from an older backup to browse and locate the backup you wish to restore from.


Restore Settings

Set Restore Options

With these options, users can specify where to restore the items and solve restore conflicts with files that have the same name.

To change Restore location

  1. Under Restore location select Restore to an alternate location.

  2. Click the Browse button to browse and select for the location attended to restore to.

Replace existing file options

If one or more backed up files are selected for restoring, and they already exist in the restore location, the following options can be used to resolve conflict:

  • Replace the file only if the backed up file is newer: If the file being restored is newer than the one already existing on the restore destination, Genie Timeline will replace it with the one in the backup.

  • Do not replace any files: If the file already exists on the restore destination, do not restore the backed up file.

  • Always replace files: Replace all files from the backup, regardless if newer.


Restore Progress

In this section, the progress of the restore is divided into:

Restore Status

The status gives an overview of the restore progress showing the following:

Restoring: Displays the path of the file currently being restored.

Restored: The number of items restored.

Size: The size of data restored.

Failed: Number of items failed to restore.

Restore Progress bar

An overall percentage of how many files are restored.

Notes

  • To cancel restoration, click abort during the process.

  • After restore completes, click on View log for detailed log of all items restored.


Disaster Recovery Restore

Once you boot up your PC with the Disaster Recovery startup disk, the Disaster Recovery restore wizard will pop-up.

The Wizard consists of:

Disaster Recovery welcome page

Step 1: Select the Backup

Step 2: Select a Restore Point

Step 3: Set Restore Options

Once the Disaster Recovery completes, it will reboot your computer back in Windows.


Disaster Recovery welcome page

Disaster Recovery welcome

This page directly appears right after the computer boots with the Disaster Recovery startup disk.

To start Disaster Recovery, click on the Start Disaster Recovery button.

Additional Tools

The following tools are useful to prepare for the disaster recovery process:

Map Network drive: Map network locations.

Partition Manager: Create multiple partitions for your hard disk.

View Network Status: View the status of the network connections.

Remote Desktop Connection: Login to any PC remotely.

Command Prompt: Open Windows Command Prompt.

Install Driver: Install hardware drivers for the Disaster Recovery Environment.


Step 1: Select the Backup

In this page, you will need to select what backup to restore from or browse for the backup manually. Only Backups with Disaster Recovery data can be restored.

To select a backup

  1. From the auto-generated list, select the backup you wish to restore from, if the backup is not listed, click on Select a different location and locate your backup.

  2. Click next to proceed.

Note

If you have just connected an external drive, click refresh to re-scan drives.


Step 2: Select a Restore Point

In this step you can select any time frame to restore from. Even if the snapshot did not have disaster recovery backup, it will restore the latest data right before that snapshot.

To select a restore point

  1. From the Restore Points list, select a restore point.

  2. Click next to proceed.


Step 3: Set Restore Options

In this step, users have the ability to restore Windows Master Boot Record (MBR) and how to replace data files

Restore MBR

This will restore the Windows Boot Manager.

Under System Data > Select Restore Master Boot Record.

User Data

The two options are used to specify how to replace user data; either by overwriting all with what is in the backup, or by only replacing it if what is backed up is newer:

Keep the latest copy of all data

This will only replace files if what is in the backup is newer than what is on the drive.

Replace everything

Overwrite data with what is in the backup.


Logging and Reports

Genie Timeline provides three types of informative logs.

Backup History: Displays files backed up and when.

Restore log: Logging information on the advanced restore process.

Backup Overview: An overview of backup configuration.


Backup History

In this log, users can view files backed up and the time it was taken into backup.

To view the backup history

  1. Open the Dashboard.

  2. From the Tools file menu, click View Backup History, a web page will display all files backed up.

Notes

  • View the history for a specific file using Search History.

  • Filter the results using the search options to browse the backup history on a specific date, located in the left-hand pane.


Restore log

The restore log gives a detailed list of files that restored successfully and failed to restore.

To open the restore log

  1. Restore files from Advanced Restore.

  2. Once the Restore Progress completes, click View log.


Backup Overview

The backup overview is a summary report of the current backup settings and configurations.

The backup overview displays:

  • Where backups are saved.

  • If encryption is enabled or not.

  • If compression is enabled or not.

  • Data included in backup.

  • Files/folders excluded from backup.

To open Backup Overview

Method 1:

Click Display Backup Overview in the Finish page after the Setup wizard completes.

Method 2:

  1. Open the Dashboard.

  2. From the Tools file menu, click Display Backup Overview.


Encryption Password

The security of your data depends not only on the strength of the encryption method but also on the strength of your password, including factors such as length and composition of the password, and the measures you take to ensure that your password is not disclosed to unauthorized third parties.

You should keep the following considerations in mind when choosing passwords for your files:

  • Encryption password cannot be less than 6 characters long

  • In general, longer passwords are more secure than shorter passwords. To take maximum advantage of the full strength of AES encryption passwords length must be approximately 31 characters

  • Passwords that contain a combination of upper and lower case letters, digits, and punctuation are more secure than passwords containing only letters.

  • Because you can use spaces and punctuation, you can create "pass phrases" that are long enough but still easy to remember and type.

  • Avoid using easily guessed passwords such as names, birthdays, Social Security numbers, addresses, telephone numbers, etc...

  • Avoid storing the password on the same volume on which the encryption data is located.

  • Keep a record of the passwords you use and to keep this record in a secure place. Genie Timeline has no way to access the contents of an encrypted file unless you supply the correct password.


Specification

Specification | Free | Home | Pro
Smart Mode | Yes | Yes | Yes
Turbo Mode | Yes | Yes | Yes
Email Notification | Yes ( Only using GS Servers) | Yes (GS and any SMTP) | Yes (GS and any SMTP)
Plug n' Backup | Yes | Yes | Yes
Pause/Resume Backups | Yes | Yes | Yes
Parallel block level | Yes | Yes | Yes
System Tray Icon | Yes | Yes | Yes
Include or exclude from backup with a click | Yes | Yes | Yes
Open Backed up files with a double click | Yes | Yes | Yes
Edit Smart Selection | Yes | Yes | Yes
Backup Email (Outlook, Outlook Express, and Windows Mail) | Yes | Yes | Yes
Backup Desktop | Yes | Yes | Yes
Backup My Documents | Yes | Yes | Yes
Backup Pictures | Yes | Yes | Yes
Backup Music | Yes | Yes | Yes
Backup Videos | Yes | Yes | Yes
Backup Bookmarks | Yes | Yes | Yes
Backup Financial Files | Yes | Yes | Yes
Backup Office Files | Yes | Yes | Yes
Backup eBooks and PDF files | Yes | Yes | Yes
Backup compressed and ISO files | Yes | Yes | Yes
Backup to any drive | Yes | Yes | Yes
Backup to Removable Media | Yes | Yes | Yes
Backup to NAS and Network storage | Yes | Yes | Yes
Drive Recommendation | Yes | Yes | Yes
Right click Options | Yes | Yes | Yes
Backup Markers | Yes | Yes | Yes
Explore Timeline | Yes | Yes | Yes
Open Location in Timeline Explorer | Yes | Yes | Yes
3 Step Backup Setup | Yes(2 steps) | Yes | Yes
IntelliCDP | Yes | Yes | Yes
File versioning | Yes | Yes | Yes
Visual versioning | Yes | Yes | Yes
Open and Locked Files | Yes | Yes | Yes
Protection Level | Yes | Yes | Yes
Backup Overview | Yes | Yes | Yes
Backup Breakdown | Yes | Yes | Yes
Backup Drive Monitor | Yes | Yes | Yes
Dashboard | Yes | Yes | Yes
No nag Pop-ups | Yes | Yes | Yes
Mini-Dashboard | Yes | Yes | Yes
Search | Yes | Yes | Yes
View Deleted Files | Yes | Yes | Yes
Native Backup | Yes | Yes | Yes
Show Versions of files with a right click | Yes | Yes | Yes
No Backup Zone | Yes | Yes | Yes
Smart Disaster Recovery | No | Yes | Yes
Multiple Startup Disk Recovery Options | No | Yes | Yes
iPhone/iPad/iPod Backup | No | Yes | Yes
Blackberry Smart-phone Backup | No | Yes | Yes
Disaster Recovery added utilities | No | Yes | Yes
Disaster recovery easy restore | No | Yes | Yes
Select any file/folder (My Computer tab) | No | Yes | Yes
Compression | No | Yes | Yes
Power Saving Mode | No | Yes | Yes
Game/Movie Mode | No | Yes | Yes
Advanced Restore | No | Yes | Yes
Restore older backups | No | Yes | Yes
1 Year Free technical support | No | Yes | Yes
Commercial Use | No | Yes | Yes
Automatic purging of older backups to save space | No | Yes | Yes
Limit Drive Space for Backups | No | No | Yes
Security | No | No | Yes
Backup on your schedule (Specified frequency) | No | No | Yes
Modify Smart Selection's file types | No | No | Yes
Backup History | No | No | Yes


Protection Level

Genie Timeline ensures users of the status of the backup with the new protection level feature. This feature enables users to keep track of the process of their backup by showing the percentage of protected files. 100% means that all files are protected and there is nothing to backup and 0% denotes that there are no files protected. When the protection level drops under 60% will show as a warning that protection level is low. The Protection level decreases if:

  • New files were added to backup and they are still not backed up

  • Significant changes occurred on backup during the half hour

  • The backup is not working due to the service being pause, drive is inaccessible, or due to inefficient free space

To view the Protection Level

The protection level can be viewed in one of the two ways

  1. Automatically updated as an icon in the system tray, mouse over the icon and the percentage will appear

  2. Click the System Tray Agent> the mini-dashboard will appear with the protection level

  3. Right click the System Tray Agent> Select Open Dashboard, this will also give you a more detailed view of the backup status


Search the timeline

Click on the linked name of the file

Click on the restore link next to the file you wish to restore

If the result has "versions" underneath it you can expand and click on the restore link beside it

If the result has "versions" underneath it you can expand and click on the view link beside it

This will open Timeline on the same location of the file

Searching the Timeline

Users have the option to search files and folders in the timeline based on the file name or part of the file name:

To Search the Timeline:

  1. Open the Timeline from Windows Explorer and double clicking the Timeline drive

  2. Type in the search term

  3. Press Enter or click Search

Users can perform the following with the results:

  • Open the file

  • Restore

  • Restore an older version

  • Open an older version

  • Browse Timeline

Notes

  • When encryption is enabled, users will be prompted to enter their encryption password when restoring

  • Timeline will only display files in the active backup, backups that are located on different locations can be viewed/restored via the Restore my data Wizard